/**
 * 岗位管理接口
 */
import request from '@/utils/request'
// 岗位查询
export function getPostListPage(params) {
  return request({
    url: 'post/listPage',
    method: 'get',
    params
  })
}

// 岗位查询
export function getPostList(params) {
  return request({
    url: 'post/list',
    method: 'get',
    params
  })
}
// 岗位类型查询
export function getPostType() {
  return request({
    url: 'dict/code/postType',
    method: 'get'
  })
}

// 添加岗位
export function addPost(params) {
  return request({
    url: 'post/add',
    method: 'post',
    params
  })
}
// 修改岗位机构
export function updatePost(params) {
  return request({
    url: 'post/update',
    method: 'post',
    params
  })
}
// 删除岗位机构
export function delPost(id) {
  return request({
    url: 'post/delete',
    method: 'post',
    params: {
      id: id
    }
  })
}
